Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.blogspot.applications4android.comicreader
Class FolderDeleteUpdater

    java.lang.Object

          com.blogspot.applications4android.comicreader.FolderDeleteUpdater

    public class FolderDeleteUpdater

extends

Class responsible for recursively deleting a directory

Constructor Summary
`FolderDeleteUpdater()`

Method Summary
`protected java.lang.Void` | `doInBackground(java.io.File... arg0)`
`protected void` | `onPostExecute(java.lang.Void arg0)`
`protected void` | `onPreExecute()`
`protected void` | `onProgressUpdate(java.lang.Void... arg0)`
`void` | `setActivity(Activity a)` Set the activity upon which to display the progress dialog
`void` | `setSuccessId(int id)` Message Id to be displayed upon success

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderDeleteUpdater

    public FolderDeleteUpdater()

Method Detail

### setActivity

    public void setActivity(Activity a)

  Set the activity upon which to display the progress dialog

  Parameters:
    `a` - the desired activity

### setSuccessId

    public void setSuccessId(int id)

  Message Id to be displayed upon success

  Parameters:
    `id` - id

### doInBackground

    protected java.lang.Void doInBackground(java.io.File... arg0)

### onPreExecute

    protected void onPreExecute()

### onPostExecute

    protected void onPostExecute(java.lang.Void arg0)

### onProgressUpdate

    protected void onProgressUpdate(java.lang.Void... arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD